Index: configuration_event_handler.php
===================================================================
--- configuration_event_handler.php	(revision 15437)
+++ configuration_event_handler.php	(working copy)
@@ -82,17 +82,17 @@
 		}
 
 		/**
-		 * Performs validation of configuration variable value
+		 * Sets custom validation
 		 *
 		 * @param kEvent $event
 		 * @return void
 		 * @access protected
 		 */
-		protected function OnBeforeItemUpdate(kEvent $event)
+		protected function OnAfterItemLoad(kEvent $event)
 		{
 			static $default_field_options = null;
 
-			parent::OnBeforeItemUpdate($event);
+			parent::OnAfterItemLoad($event);
 
 			$object = $event->getObject();
 			/* @var $object kDBItem */
@@ -110,7 +110,22 @@
 			}
 
 			$object->SetFieldOptions('VariableValue', $new_field_options);
+		}
 
+		/**
+		 * Performs validation of configuration variable value
+		 *
+		 * @param kEvent $event
+		 * @return void
+		 * @access protected
+		 */
+		protected function OnBeforeItemUpdate(kEvent $event)
+		{
+			parent::OnBeforeItemUpdate($event);
+
+			$object = $event->getObject();
+			/* @var $object kDBItem */
+
 			// if password field is empty, then don't update
 			if ( $object->GetDBField('ElementType') == 'password' ) {
 				if ( trim($object->GetDBField('VariableValue')) == '' ) {
